Package: groovy.lang

## [Java] Class MissingMethodException

- groovy.lang.MissingMethodException

-     public class MissingMethodException
      extends GroovyRuntimeException

  An exception occurred if a dynamic method dispatch fails with an unknown method.

  Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MissingMethodException(String method, Class<?> type, Object[] arguments)` Creates an exception for a missing instance method.
    `MissingMethodException(String method, Class<?> type, Object[] arguments, boolean isStatic)` Creates an exception for a missing method.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object[]` | `getArguments()` Returns the supplied arguments.
    `` | `public String` | `getMessage()` Returns a detailed message including argument and suggestion information.
    `` | `public String` | `getMethod()` Returns: the name of the method that could not be found
    `` | `public Class<?>` | `getType()` Returns: The type on which the method was attempted to be called
    `` | `public boolean` | `isStatic()` Returns: Whether the method was called in a static way, i.e. on a class rather than an object.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyRuntimeException` | `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

- - ### Constructor Detail

    - #### public MissingMethodException(String method, Class<?> type, Object[] arguments)

      Creates an exception for a missing instance method.

      Parameters:
        `method` - the missing method name
        `type` - the target type
        `arguments` - the supplied arguments

    - #### public MissingMethodException(String method, Class<?> type, Object[] arguments, boolean isStatic)

      Creates an exception for a missing method.

      Parameters:
        `method` - the missing method name
        `type` - the target type
        `arguments` - the supplied arguments
        `isStatic` - whether the missing method was called statically

  - ### Method Detail

    - #### public Object[] getArguments()

      Returns the supplied arguments.

      Returns:
        the supplied arguments

    - #### public String getMessage()

      Returns a detailed message including argument and suggestion information.

      Returns:
        the formatted error message

    - #### public String getMethod()

      Returns:
        the name of the method that could not be found

    - #### public Class<?> getType()

      Returns:
        The type on which the method was attempted to be called

    - #### public boolean isStatic()

      Returns:
        Whether the method was called in a static way, i.e. on a class rather than an object.